### Method

# Gimp Brush set_radius

since: 2.4

#### Declaration [src]

    gboolean
    gimp_brush_set_radius (
      GimpBrush* brush,
      gdouble radius_in,
      gdouble* radius_out
    )

#### Description [src]

Sets the radius of a generated brush.

Sets the radius for a generated brush. Clamps radius to [0.0, 32767.0]. Returns the clamped value. Returns an error when brush is non-parametric or not editable.

Available since: 2.4

#### Parameters

`radius_in`

  Type: `gdouble`

  The desired brush radius in pixel.

`radius_out`

  Type: `gdouble*`

  The brush radius actually assigned.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

TRUE on success.